#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, s;
    cin >> n;
    vector <int>vec;
    vector <int>a;
    vector <int>b;

    for(int i = 1; i <= 2*n; i++){
        vec.push_back(i);
    }

    for(int i = 0; i < n / 3; i++){
        a.push_back(vec[i]);
        a.push_back(vec[i + n]);
        s = i;
    }

    for(int i = s; i < n / 3; i++){
        b.push_back(vec[i]);
        b.push_back(vec[i + n]);
    }

    for(int i = 0; i < n; i++){
        cout << a[i] << " ";
    }
    cout << endl;
    for(int i = 0; i < n; i++){
        cout << b[i] << " ";
    }
}